Package com.destroystokyo.paper.entity.villager

# Class Reputation

java.lang.Object
com.destroystokyo.paper.entity.villager.Reputation

public final class Reputation extends Object
A reputation score for a player on a villager.

## Constructor Summary

Constructors
Constructor
Description
`Reputation()`
`Reputation(@NotNull Map<ReputationType,Integer> reputation)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getReputation(@NotNull ReputationType type)`
Gets the reputation value for a specific `ReputationType`.
`boolean`
`hasReputationSet(@NotNull ReputationType type)`
Gets if a reputation value is currently set for a specific `ReputationType`.
`void`
`setReputation(@NotNull ReputationType type, int value)`
Sets the reputation value for a specific `ReputationType`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Reputation

public Reputation()

### Reputation

public Reputation(@NotNull @NotNull Map<ReputationType,Integer> reputation)

## Method Details

### getReputation

public int getReputation(@NotNull @NotNull ReputationType type)
Gets the reputation value for a specific `ReputationType`.

Parameters:
  `type` - The `type` of reputation to get.
Returns:
  The value of the `type`.

### setReputation

public void setReputation(@NotNull @NotNull ReputationType type, int value)
Sets the reputation value for a specific `ReputationType`.

Parameters:
  `type` - The `type` of reputation to set.
  `value` - The value of the `type`.

### hasReputationSet

public boolean hasReputationSet(@NotNull @NotNull ReputationType type)
Gets if a reputation value is currently set for a specific `ReputationType`.

Parameters:
  `type` - The `type` to check
Returns:
  If there is a value for this `type` set.